MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028615Open CASCADE[OCCT] OCCT:Visualizationpublic2017-04-02 16:072017-09-29 16:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformAndroidOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028615: Visualization, TKOpenGl - enabling MSAA leads to black screen on OpenGL ES
DescriptionEnabling MSAA on OpenGL ES 3.1 platform leads to black screen without any error message.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0026711closedbugmaster Open CASCADE Visualization, TKOpenGl - support creation of multisampling off-screen FBOs 

-  Notes
(0064845)
git (administrator)
2017-04-02 16:49

Branch CR28615 has been created by kgv.

SHA-1: 7c35b4399f98c673ab2b11ba42435b0aad37bd14


Detailed log of new commits:

Author: kgv
Date: Sun Apr 2 16:48:26 2017 +0300

    0028615: Visualization, TKOpenGl - enabling MSAA leads to black screen on OpenGL ES
    
    Removed redundant macros check.
(0064846)
kgv (developer)
2017-04-02 16:49

Please check compilation, regression testing is not needed.
(0064877)
mkv (tester)
2017-04-03 18:41

Dear BugMaster,
Branch CR28615 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 7c35b4399f98c673ab2b11ba42435b0aad37bd14

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1214
(0064878)
mkv (tester)
2017-04-03 18:42

Dear BugMaster,
Branch CR28615 is TESTED.
(0065949)
git (administrator)
2017-05-12 11:36

Branch CR28615 has been deleted by kgv.

SHA-1: 7c35b4399f98c673ab2b11ba42435b0aad37bd14

- Related Changesets
occt: master 769a2e88
Timestamp: 2017-04-02 13:48:26
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028615: Visualization, TKOpenGl - enabling MSAA leads to black screen on OpenGL ES

Removed redundant macros check.
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-02 16:07 kgv New Issue
2017-04-02 16:07 kgv Assigned To => kgv
2017-04-02 16:08 kgv Relationship added parent of 0027990
2017-04-02 16:49 git Note Added: 0064845
2017-04-02 16:49 kgv Note Added: 0064846
2017-04-02 16:49 kgv Assigned To kgv => bugmaster
2017-04-02 16:49 kgv Severity minor => trivial
2017-04-02 16:49 kgv Status new => resolved
2017-04-02 16:49 kgv Status resolved => reviewed
2017-04-02 16:50 kgv Relationship added child of 0026711
2017-04-02 16:52 kgv Product Version 7.1.0 => 7.0.0
2017-04-03 16:51 mkv Assigned To bugmaster => mkv
2017-04-03 18:41 mkv Note Added: 0064877
2017-04-03 18:42 mkv Note Added: 0064878
2017-04-03 18:42 mkv Assigned To mkv => bugmaster
2017-04-03 18:42 mkv Status reviewed => tested
2017-04-03 18:42 mkv Test case number => Not needed
2017-04-14 14:28 bugmaster Changeset attached => occt master 769a2e88
2017-04-14 14:28 bugmaster Status tested => verified
2017-04-14 14:28 bugmaster Resolution open => fixed
2017-05-12 11:36 git Note Added: 0065949
2017-09-29 16:19 aiv Fixed in Version => 7.2.0
2017-09-29 16:25 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker